/*
Theme Name:The Park Child
Theme URI:https://silkyoceanstudios.com/
Description:A custom child theme for Kadence.
Author:Silky Ocean Studios
Author URI:https://silkyoceanstudios.com/
Template:kadence
Version:1.0.2
Text Domain:the-park-child
*/

@font-face { font-family: Optima; src: url(assets/fonts/OptimaProItalic.woff2) format("woff2"),url(assets/fonts/OptimaProItalic.woff) format("woff"); font-weight: 400; font-style: italic; font-display: swap; }
@font-face { font-family: Palatino; src: url(assets/fonts/PalatinoProBold.woff2) format("woff2"),url(assets/fonts/PalatinoProBold.woff) format("woff"); font-weight: 700; font-style: normal; font-display: swap; }
@font-face { font-family: RextonBold; src: url(assets/fonts/RextonBold.woff2) format("woff2"),url(assets/fonts/RextonBold.woff) format("woff"); font-weight: 500; font-style: normal; font-display: swap; }
@font-face { font-family: RextonLight; src: url(assets/fonts/RextonLight.woff2) format("woff2"),url(assets/fonts/RextonLight.woff) format("woff"); font-weight: 500; font-style: normal; font-display: swap; }

:root {
	--heading-1-size: 1.6rem;
	--heading-1-size-value: 1.6;
	--heading-2-size: 1.25rem;
	--heading-2-size-value: 1.25;
	--heading-3-size: 1.125rem;
	--heading-3-size-value: 1.125;
	--heading-4-size: 0.938rem;
	--heading-4-size-value: 0.938;
	--textsize-xl: 1.9375rem;
	--textsize-l: 1.5625rem;
	--textsize-m: 1.125rem;
	--textsize-s: 1rem;
	--textsize-xs: 0.8125rem;
	--textsize-xxs: 0.625rem;
	--colour-red: #b5221a;
	--colour-light: #f5e8d7;
	--colour-light-2: #edd5b5;
	--colour-dark: #31251d;
}

body { padding:0!important; width: 100%; background-color: var(--colour-light); font-family: RextonLight, sans-serif; line-height: 1.25; font-kerning: none; -webkit-text-size-adjust: 100%; -moz-text-size-adjust: 100%; text-size-adjust: 100%; text-rendering: optimizelegibility; -moz-osx-font-smoothing: grayscale; -webkit-font-smoothing: antialiased; overflow-x: hidden;}


.triple-border .body-font { color: var(--colour-dark); }

a { color:inherit; text-decoration: underline; }
a.underline { color:inherit; text-decoration:underline!important; }
a.no-underline { color:inherit; text-decoration:none!important; }

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 { font-family: RextonLight, sans-serif; font-optical-sizing: auto; font-style: normal; font-weight: 400; text-transform: uppercase; color: inherit; margin-bottom: 1.5rem; }
.h1 a, .h2 a, .h3 a, .h4 a, .h5 a, .h6 a, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a { color: inherit; font-family: inherit; font-weight: 400; text-decoration:none!important }

.h1, h1 { font-size: calc((var(--heading-1-size-value) - 1) * calc(.012 * min(100vh, 900px)) + 1rem); }
.h2, h2 { font-size: calc((var(--heading-2-size-value) - 1) * calc(.012 * min(100vh, 900px)) + 1rem); }
.h3, h3 { font-size: calc((var(--heading-3-size-value) - 1) * calc(.012 * min(100vh, 900px)) + 1rem); }
.h4, h4 { font-size: calc((var(--heading-4-size-value) - 1) * calc(.012 * min(100vh, 900px)) + 1rem); }

.body-font { font-family: Palatino, serif; font-size: var(--textsize-s); line-height:1.25; }
.details-font { font-family: Optima, sans-serif; }
.quote-font, blockquote { font-family: Optima, sans-serif; font-style: italic }
blockquote { line-height: 1.8;}

@media(min-width:767px) {
	.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 { font-family: RextonLight, sans-serif; font-optical-sizing: auto; font-style: normal; font-weight: 400; text-transform: uppercase; color: inherit; margin-bottom: 1.5rem; }
	.h1, h1 { font-size: calc((var(--heading-1-size-value) - 1) * 1.2vw + 1rem); }
	.h2, h2 { font-size: calc((var(--heading-2-size-value) - 1) * 1.2vw + 1rem); }
	.h3, h3 { font-size: calc((var(--heading-3-size-value) - 1) * 1.2vw + 1rem); }
	.h4, h4 { font-size: calc((var(--heading-4-size-value) - 1) * 1.2vw + 1rem); }
	.body-font { font-size: var(--textsize-m); }
}

.bg-red h3 { color:var(--colour-light) !important; }

.header { background-color: var(--colour-light); border-bottom: 1px solid var(--colour-red); transition: background 0.3s ease-in-out;  }
.home .header { background-color: transparent; }

.header .header-brand { height: 32px; color: var(--colour-dark); transition: background 0.4s ease-in-out, color 0.4s ease-in-out; }
.home .header .header-brand { color: var(--colour-light) }

.burger-menu { position: relative; width: 48px; height: 48px; display: flex; align-items: center; justify-content: center; cursor: pointer; }
.burger-menu .burger-menu-icon,
.burger-menu .burger-menu-icon:before,
.burger-menu .burger-menu-icon:after { position: absolute; display: block; content: ""; width: 21px; height: 2px; background: var(--colour-dark); transition: transform 0.3s ease-in-out, background 0.3s ease-in-out; }

.home .burger-menu .burger-menu-icon,
.home .burger-menu .burger-menu-icon:before,
.home .burger-menu .burger-menu-icon:after { background: var(--colour-light); }

.burger-menu .burger-menu-icon { transform: translateY(0); }
.burger-menu .burger-menu-icon:before,
.burger-menu .burger-menu-icon:after { transform-origin: center; }
.burger-menu .burger-menu-icon:before { transform: translateY(-6px); }
.burger-menu .burger-menu-icon:after { transform: translateY(6px); }
.burger-menu .burger-menu-close { opacity: 0; transform: translateX(-30px) translateY(-50%); transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out; position: absolute; top: 50%; left: 30px; }

.burger-menu.active .burger-menu-icon { background: transparent!important; }
.burger-menu.active .burger-menu-icon:before { transform: rotate(45deg); background: var(--colour-dark); }
.burger-menu.active .burger-menu-icon:after { transform: rotate(-45deg); background: var(--colour-dark); }
.burger-menu.active .burger-menu-close { opacity: 1; transform: translateX(0) translateY(-50%); }

.main-menu a { color: var(--colour-dark); text-decoration: none; padding:1.25rem 0; }
.main-menu a:hover { color: var(--colour-dark); text-decoration: none; }
.main-menu { position: fixed; top: 0; left: 0; right: 0; height: 100vh; background: var(--colour-beige); transform: translateY(-100%); transition: transform 0.4s ease-in-out; z-index: 2; overflow-y: auto; }

.home .header.scrolled { background-color:var(--colour-light); }
.home .header.scrolled .header-brand { color: var(--colour-dark) }
.home .header.scrolled .burger-menu .burger-menu-icon,
.home .header.scrolled .burger-menu .burger-menu-icon:before,
.home .header.scrolled .burger-menu .burger-menu-icon:after { background: var(--colour-dark); }

/* When menu is active */
body.menu-open { overflow: hidden; }
body.menu-open .main-menu { transform: translateY(0); }

.header .header-menu-wrapper { height:70vh; }
.header .header-img-wrapper { height:30vh; }
.header .header-img { opacity: 1; transition: opacity 500ms; position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; max-width: none; max-height: none; object-fit:cover; }

@media(min-width:992px) {
	.home .header { background-color: var(--colour-light); }
	.home .burger-menu .burger-menu-icon,
	.home .burger-menu .burger-menu-icon:before,
	.home .burger-menu .burger-menu-icon:after { background: var(--colour-dark); }
	.burger-menu .burger-menu-icon,
	.burger-menu .burger-menu-icon:before,
	.burger-menu .burger-menu-icon:after,
	.burger-menu.active .burger-menu-icon:before,
	.burger-menu.active .burger-menu-icon:after { background: var(--colour-dark); }
	.header { background-color: var(--colour-light); }
	.header .header-brand { height: 38px; color: var(--colour-dark) }
	.home .header .header-brand { color: var(--colour-light) }
	.main-menu a { padding:1.75rem 0; }
	.header .header-menu-wrapper { height:100%; }
	.header .header-img-wrapper { height:100%; }
}

.btn { font-family: RextonBold, sans-serif; font-size: var(--textsize-xxs); font-weight: normal; text-transform: uppercase; border-radius: 0; border: none; padding: 1rem 1.5rem; }
.btn-primary { background: var(--colour-red) !important; color: var(--colour-light) !important; }
.btn-outline-primary { position: relative; background: var(--colour-light) !important; border: 1px solid var(--colour-red) !important; color: var(--colour-red) !important; padding: 1rem 3.5rem; }
.btn-outline-primary:before { pointer-events: none; position: absolute; inset: 5px; border: 1px solid var(--colour-red); content: ""; }

.btn-outline-light { position: relative; background:transparent!important; border: 1px solid var(--colour-light) !important; color: var(--colour-light) !important; padding: 1rem 2.5rem; }
.btn-outline-light:before { pointer-events: none; position: absolute; inset: 5px; border: 1px solid var(--colour-light); content: ""; }

.btn-dark { background: var(--colour-dark) !important; color: var(--colour-light) !important; }
.btn-light { background: var(--colour-light) !important; color: var(--colour-dark) !important; }

.header .btn { font-family:RextonLight, sans-serif; width:100%; }

@media(min-width:992px) {
	.btn { padding: 1rem 3.5rem; }
	.btn-outline-primary { padding: 1.25rem 5.5rem; }
	.header .btn { width:auto; }
}

/* FOOTER */
.footer { background: var(--colour-red); color: var(--colour-light); }
.footer a, .footer .btn-link { color: var(--colour-light); text-decoration: none; }
.footer a:hover { text-decoration: underline; }
.footer .navbar-brand { display: block; width: 80px; }
.form-control { color: var(--colour-light); border: none; border-bottom: 1px solid var(--colour-light); border-radius: 0; background: transparent; padding-left: 0; box-shadow: none; }
.form-control:focus { color: var(--colour-light); background-color: var(--colour-red); border-color: var(--colour-light); outline: 0; box-shadow: none; }
.form-floating > .form-control-plaintext ~ label::after,
.form-floating > .form-control:focus ~ label::after,
.form-floating > .form-control:not(:placeholder-shown) ~ label::after,
.form-floating > .form-select ~ label::after { background-color: transparent; border-radius: 0; color: var(--colour-light); }
.form-floating > .form-control-plaintext ~ label,
.form-floating > .form-control:focus ~ label,
.form-floating > .form-control:not(:placeholder-shown) ~ label,
.form-floating > .form-select ~ label { color: var(--colour-light); }


.hero .triple-border { margin-top:8vh; margin-bottom:8vh; width: 90%; }
.triple-border { position: relative; padding: 1.25rem; }
.triple-border, .triple-border:after, .triple-border:before { border: 1px solid var(--colour-red); }
.triple-border:after, .triple-border:before { pointer-events: none; position: absolute; content: "" }
.triple-border:before { inset: 0.625rem }
.triple-border:after { inset: 1.25rem }
.triple-border.for-menu { padding: 24px 20px }
.triple-border.for-menu:after { left: 1.25rem; right: 1.25rem; top: 24px; bottom: 24px }
.triple-border.for-menu:before { left: 0.625rem; right: 0.625rem; top: 0.75rem; bottom: 0.75rem }
.vertical-double-border { width:20px; height:100%; border-right:1px solid var(--colour-red); }
.vertical-double-border:after { content:""; margin-left:9px; width:calc(100% - 9px); height:100%; display:block; border-left:1px solid var(--colour-red); }

@media (min-width: 992px) {
	.triple-border.for-menu { padding: 22px 26px }
	.hero .triple-border { margin-top: 9.2vh; margin-bottom: 9.2vh; width: 85%; }
	.triple-border.for-menu:before { left: 13px; right: 13px; top: 11px; bottom: 11px }
	.hero .triple-border { margin-top: 9.2vh; margin-bottom: 9.2vh; width: 70%; }
	.triple-border.for-menu:after { left: 26px; right: 26px; top: 22px; bottom: 22px }
}

/*Hero*/
.hero { height: 100%; }
.hero .img { width: 100%; height: 100%; -o-object-fit: cover; object-fit: cover; -o-object-position: center; object-position: center; }
.home .hero .img { position: absolute; z-index: -1; left: 0; top: 0; width: 100%; height: 100%; -o-object-fit: cover; object-fit: cover; -o-object-position: center; object-position: center; }
.home .hero::before { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0,0,0,0.2); z-index: 1; }
.hero-content { position:relative; z-index: 2; }
.hero-1 .hero-content { position:absolute; z-index: 2; }
.hero-1 .hero-content h1 { color:var(--colour-light); }

.clock-hand-small, .clock-hand-big { position: absolute; transform: translate(-50%, 0) rotate(var(--tw-rotate)) skewX(0) skewY(0) scaleX(1) scaleY(1); transform-origin: bottom; bottom: 50%; left: 50%; }
.clock-hand-small svg { transform: translate(0, 4px) rotate(0) skewX(0) skewY(0) scaleX(1) scaleY(1); }
.clock-hand-big svg { transform: translate(0, 6px) rotate(0) skewX(0) skewY(0) scaleX(1) scaleY(1); }

@media (min-width: 992px) {
	.hero:before { display:none!important }
	.hero { min-height: 100%; }
	.hero .img { position: absolute; z-index: -1; left: 0; top: 0; width: 100%; height: 100%; -o-object-fit: cover; object-fit: cover; -o-object-position: center; object-position: center; }
}


/* HERO SLIDER */
.hero-slider { opacity: 0; transition: opacity 1s ease-in-out; }
.hero-slider, .hero-slider .slick-track, .hero-slider .slick-slide { width:100%; height:50vh; overflow:hidden; }
.hero-slider .slick-slide { position:relative; }
.hero-slider .slick-slide img { position:absolute; top:50%; left:50%; transform:translatex(-50%) translatey(-50%); width:100%; height:100%; object-fit:cover; }
.hero-slider.slick-dotted.slick-slider { margin-bottom:0; }
.hero-slider .slick-dots { bottom:0.5rem; }
.hero-slider .slick-dots li button:before { color:var(--colour-dark); font-size:8px; opacity:0.5; }
.hero-slider .slick-dots li.slick-active button:before { color:var(--colour-dark); opacity:1; }
@media (min-width: 992px) {
	.hero-slider, .hero-slider .slick-track, .hero-slider .slick-slide { width:100%; height:70vh; overflow:hidden; }
}

/*GALLERY SLIDER*/
.gallery-slider, .gallery-slider .slick-track, .gallery-slider .slick-slide { height:540px; overflow:hidden; }
.gallery-slider .slick-slide { overflow:hidden; position:relative; border-radius:0.75rem; transform:scale(0.9); transition:transform 0.25s ease-in-out; }
.gallery-slider .slick-slide.slick-active { transform:scale(1); }
.gallery-slider .slick-slide img { display:block; width:100%; height:100%; object-fit:cover; position:absolute; top:50%; left:50%; transform:translateX(-50%) translateY(-50%); }

/*FAQ*/
.accordion { border: none; max-width: 800px; }
.accordion-item { width: 100%; border: none; border-bottom: 1px solid #f8f4eb; background-color: transparent; }
.accordion-header { font-size: 18px; font-weight: bold; }
.accordion-body { color: #f8f4eb; background-color: transparent; padding: 0 0 1.75rem 0 }
.accordion-button { position: relative; padding:2.5rem 2rem 2.5rem 0; background: none; color: #f8f4eb; font-weight: 400; padding-left: 0; box-shadow: none; border-radius: 0; text-align: left; transition: all 0.3s ease-in-out; }
.accordion-button:focus { box-shadow: none; outline: none; }
.accordion-button:hover,
.accordion-button:not(.collapsed) { color: #f8f4eb; background-color: transparent; box-shadow: none; }
.accordion-item:last-child { border-bottom: none; }
.accordion-button::after { content: ""; background-image: none !important; /* Remove default Bootstrap icon */ display: none; /* Hide Bootstrap default behavior */ }
.accordion-button::before,
.accordion-button::after { content: ""; display: block; position: absolute; right: 10px; top: 50%; width: 14px; height: 1px; background-color:#f8f4eb; transition:transform 0.25s ease-in-out rotate 0.25s ease-in-out; }
.accordion-button::after { transform: rotate(90deg); /* Vertical line to form plus */ }
.accordion-button:not(.collapsed)::after { transform: rotate(0deg); /* Hide vertical line */ opacity: 0; }

.accordion {  border-top: 1px solid #f8f4eb;  width: 100%;  border-bottom: 1px solid #f8f4eb;}

@media(min-width:992px) {
	.accordion { width: 100% !important; max-width: 100%;}
}

svg.w-\[32px\].text-red {  width: 32px;  fill: var(--colour-red) !important;}
button { background: transparent !important; border: 0;}

.wp-block-latest-posts__list { display:flex; flex-direction:row; width:100%; padding:3rem 1rem; margin:0; border-bottom:1px solid var(--colour-light); }
.wp-block-latest-posts__list li { display:inline-block; flex: 0 0 auto; width: 33.33333333%; padding-left:1rem; padding-right:1rem; text-align:center; }
.wp-block-latest-posts__list li img { display:inline-block; width:100%; max-width:100%; height:auto; margin-bottom:1.5rem; }
/*.wp-block-latest-posts__list:after { display:block; content:""; width:100%; inset:10px; border-bottom:1px solid var(--colour-light); }*/

/* Blog */


.post-archive .post-thumbnail-inner { display:block; position:relative; overflow:hidden; aspect-ratio:0.75; margin-bottom:1rem; }
.post-archive .post-thumbnail-inner img { width:100%; height:100%; position:absolute; top:50%; left:50%; transform:translatex(-50%) translatey(-50%); object-fit:cover; }

.post-archive .post-excerpt {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background:rgba(181, 34, 26, 0.7);
	color:var(--colour-light);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	opacity: 0;
	transition: opacity 0.3s ease-in-out;
	padding: 1rem;
}
.post-thumbnail-inner:hover .post-excerpt {
	opacity: 1;
}
.post-archive .entry-summary, .post-archive span.posted-by, .post-archive span.posted-on, .post-archive .entry-taxonomies { display: none;}


.entry { box-shadow: none !important; border-radius:.25rem;}
.single-post .post-thumbnail { margin-bottom:1rem; border-bottom:1px solid var(--colour-red); }
.single-post .post-thumbnail-inner img { width:100%; height:600px; object-fit: cover; max-height: 600px;}
.single-post .entry-taxonomies { display: none;}
.single-post .entry-meta { font-size:80%; margin:1rem 0 2rem 0; display:flex; flex-wrap: wrap; }
a.post-more-link { font-weight: 400 !important; text-transform: none !important;}

.entry-content.single-content p { font-family: Palatino, serif; margin-bottom:1.5rem; }

span.kadence-svg-iconset.svg-baseline { display: none;}

.kadence-thumbnail-position-behind { margin-bottom: 0 !important; position: relative;  z-index: 0;}

.entry-related.entry-related-style-wide { display: none;}

nav.navigation.post-navigation { width: 95%; display: flex; flex-flow: column; justify-content: center; margin: 2rem auto;}

@media screen and (min-width: 1025px) {
	.content-width-narrow .entry-content .alignwide, .content-width-narrow .content-area .alignwide {  margin-left: 0 !important; margin-right: 0!important; width: 100%!important; }
	nav.navigation.post-navigation { width: 66%; display: flex;  flex-flow: column;  justify-content: center;  margin: 2rem auto;}
}

.form-check-input { border-radius:0!important; background:var(--colour-red);  }

.is-layout-flex { flex-wrap: wrap; align-items: center;  justify-content: center;}

.wp-block-column.is-layout-flow.wp-block-column-is-layout-flow.full-mobile { flex-basis: 100% !important;}



.bg-light { background: var(--colour-light) !important; color: var(--colour-dark) !important; }
.bg-light-2 { background: var(--colour-light-2) !important; color: var(--colour-dark) !important; }
.bg-dark { background: var(--colour-dark) !important; color: var(--colour-light) !important; }
.bg-red { background: var(--colour-red)!important; color: var(--colour-light) !important; }
.fill-light { fill:var(--colour-light)!important; }
.fill-dark { fill:var(--colour-dark)!important; }
.fill-red { fill:var(--colour-red)!important; }
.text-light { color: var(--colour-light) !important; }
.text-dark { color: var(--colour-dark) !important; }
.text-red { color: var(--colour-red) !important; }
.b-light { border-color: var(--colour-light) !important; }
.b-dark { border-color: var(--colour-dark) !important; }
.b-red { border-color: var(--colour-red) !important; }
.text-l { font-size: 1.5625rem; }
.text-m { font-size: 1.125rem; }
.text-s { font-size: 1rem; }
.text-xs { font-size: 0.8125rem; }
.text-xxs { font-size: 10px; }
.text-bold { font-family: RextonBold, sans-serif; }
.heading-bold, .heading-light { text-transform: uppercase; }
.heading-bold { font-family:RextonBold, sans-serif; }
.b-start { border-left-width: 1px; border-left-style: solid; }
.b-end { border-right-width: 1px; border-right-style: solid; }
.b-top { border-top-width: 1px; border-top-style: solid; }
.b-bottom { border-bottom-width: 1px; border-bottom-style: solid; }
.min-height-75 { min-height: 75vh; }

.mh-50 { min-height:50vh; }
@media(min-width:1200px) {
	.b-lg-start { border-left-width: 1px; border-left-style: solid; }
	.b-lg-end { border-right-width: 1px; border-right-style: solid; }
	.b-lg-top { border-top-width: 1px; border-top-style: solid; }
	.b-lg-bottom { border-bottom-width: 1px; border-bottom-style: solid; }
	.b-lg-none { border: 0; }
	.text-lg-l { font-size: 1.938rem; }
	.mh-lg-75 { min-height:75vh; }
	.mh-lg-100 { min-height:100vh; }
	.text-lg-xxs { font-size:var(--textsize-xxs); }
	.text-lg-xs { font-size:var(--textsize-xs); }
	.text-lg-s { font-size:var(--textsize-s); }
	.text-lg-m { font-size:var(--textsize-m); }
	.text-lg-l { font-size:var(--textsize-l); }
	.text-lg-xl { font-size:var(--textsize-xl); }
}

.pdr-arrow button {display: none;}

.menu-btn { transition: padding 0.25s ease-in-out; }
@media(min-width:992px) {
	.menu-btn svg { width: 48px }
	.menu-btn:hover { padding-left: 64px }
	.menu-title { transform: translateX(-68px); }
}

.img-button { position:relative; height:480px; border: 1px solid var(--colour-red); padding: 5px; overflow: hidden; background: var(--colour-light); }
.img-button:before  { pointer-events: none; position: absolute; z-index: 3; inset: 5px; border: 1px solid var(--colour-red); content: ""; }


.img-button a { display:block; height:100%; width:100%; position:relative; z-index:2; }
.img-button a:after { position: absolute; z-index:3; top:0; left:0; right:0; bottom:0; display:block; content: ""; width:100%; height:100%; background:rgba(0,0,0,0.3); transition: transform 0.3s ease-in-out, background 0.3s ease-in-out; }
.img-button a:hover:after { background:rgba(0,0,0,0.4); }
.img-button img { position:absolute; left:0; top:0; z-index:2; object-fit:cover; object-position:center; width:100%; height:100%; }
.img-button .img-button-content { width:100%; position:absolute; z-index:4; top:50%; left:50%; transform:translatex(-50%) translatey(-50%); }
.img-button .img-button-content * { color:var(--colour-light)!important; padding:3rem 0; }

@media(min-width:992px) {
	.img-button { height:580px; }
}

.announcement-modal-img img { width:100%; height:auto; display:block; }
/* Hide post date if the ACF field is enabled */
body.hide-post-date .entry-meta .posted-on,
body.hide-post-date .entry-meta .updated-on {
	display: none !important;
}